com.google.gwt.place.shared

## Class PlaceChangeEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<PlaceChangeEvent.Handler>
    - - com.google.gwt.place.shared.PlaceChangeEvent

    public class PlaceChangeEvent
    extends GwtEvent<PlaceChangeEvent.Handler>

Event thrown when the user has reached a new location in the app.

### Nested Class Summary

Nested Classes
`static interface` `PlaceChangeEvent.Handler` Implemented by handlers of PlaceChangeEvent.

### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

`GwtEvent.Type<H>`

### Field Summary

Fields
`static GwtEvent.Type<PlaceChangeEvent.Handler>` `TYPE` A singleton instance of Type<Handler>.

### Constructor Summary

Constructors
Constructor and Description
`PlaceChangeEvent(Place newPlace)` Constructs a PlaceChangeEvent for the given `Place`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `dispatch(PlaceChangeEvent.Handler handler)` Should only be called by `HandlerManager`.
`GwtEvent.Type<PlaceChangeEvent.Handler>` `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`Place` `getNewPlace()` Return the new `Place`.

### Methods inherited from class com.google.gwt.event.shared.GwtEvent

`assertLive, getSource, isLive, kill, revive`

### Methods inherited from class com.google.web.bindery.event.shared.Event

`setSource, toDebugString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE

    public static final GwtEvent.Type<PlaceChangeEvent.Handler> TYPE

A singleton instance of Type<Handler>.

### Constructor Detail

#### PlaceChangeEvent

    public PlaceChangeEvent(Place newPlace)

Constructs a PlaceChangeEvent for the given `Place`.

Parameters:
  `newPlace` - a `Place` instance

### Method Detail

#### getAssociatedType

    public GwtEvent.Type<PlaceChangeEvent.Handler> getAssociatedType()

Description copied from class: `Event`
Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

Specified by:
  `getAssociatedType` in class `GwtEvent<PlaceChangeEvent.Handler>`
Returns:
  the type

#### getNewPlace

    public Place getNewPlace()

Return the new `Place`.

Returns:
  a `Place` instance

#### dispatch

    protected void dispatch(PlaceChangeEvent.Handler handler)

Description copied from class: `GwtEvent`
Should only be called by `HandlerManager`. In other words, do not use or call.

Specified by:
  `dispatch` in class `GwtEvent<PlaceChangeEvent.Handler>`
Parameters:
  `handler` - handler
See Also:
  `EventBus.dispatchEvent(Event, Object)`